{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "STM32 Debug",
            "type": "cortex-debug",
            "request": "launch",
            "servertype": "openocd",
            "cwd": "${workspaceRoot}",
            "executable": "${workspaceRoot}/build/Debug/STM32_HAL_Template.elf",
            // "device": "STM32H743",
            "liveWatch": {
                "enabled": true,
                "samplesPerSecond": 4
            },
            "configFiles": [
                "${workspaceFolder}/ocd.cfg"
            ],
            "svdFile": "${workspaceFolder}/STM32H743.svd",
            "runToEntryPoint": "main",
            "gdbPath": "/home/capacake/workspace/toolchain/arm-gnu-toolchain-14.2.rel1-x86_64-arm-none-eabi/bin/arm-none-eabi-gdb",
            "preLaunchTask": "Build"
        }
    ]
}